Index: LaTeXUtils.rb
===================================================================
--- LaTeXUtils.rb	(revision 8405)
+++ LaTeXUtils.rb	(working copy)
@@ -91,7 +91,7 @@
     # TODO: The following method should probably be simplified dramatically
     def find_file(filename, extension, relative)
       filename.gsub!(/"/,"")
-      filename.gsub!(/\.#{extension}$/,"")
+      #filename.gsub!(/\.#{extension}$/,"")
       return filename if File.exist?(filename) && !File.directory?(filename)  # First try the filename as is, without the extension
       return "#{filename}.#{extension}" if File.exist?("#{filename}.#{extension}") # Then try with the added extension
       return nil if filename.match(/^\//) # If it is an absolute path, and the above two tests didn't find it, return nil
@@ -203,11 +203,15 @@
        text.each_with_index do |line, index|
          includes.each_pair do |regexp, block|
            line.scan(regexp).each do |m|
-             newfiles = block.call(m)
-             newfiles.each do |newfile|
-               scanner = FileScanner.new(self)
-               scanner.root = newfile.to_s
-               scanner.recursive_scan
+             begin
+               newfiles = block.call(m)
+             rescue 
+             else
+               newfiles.each do |newfile|
+                 scanner = FileScanner.new(self)
+                 scanner.root = newfile.to_s
+                 scanner.recursive_scan
+               end
              end
            end
            extractors.each_pair { |regexp,block| 
